Page MenuHomePhabricator

Donation banner showing up for logged-in users
Closed, ResolvedPublic

Description

At https://en.wikipedia.org/wiki/User_talk:Jooojay I'm getting hit with a fundraising banner while logged in. It appears to be the B14_1030_enUS_dsk_gwy_wp banner.

As far as I'm aware, logged-in users should not be seeing donation banners.

Event Timeline

MZMcBride raised the priority of this task from to High.
MZMcBride updated the task description. (Show Details)
MZMcBride added a project: Fundraising-Backlog.
MZMcBride changed Security from none to None.
MZMcBride added a subscriber: MZMcBride.

Lego points out that donation banners also shouldn't be appearing on non-articles. This seems like a pretty major bug.

Thanks for finding the banner name, that's helpful! So far as I can tell that banner has always been set to anonymous only, and Special:GlobalAllocation shows no fundraising banners for logged in users during today's test.

@awight - there's no chance the recent changes to banner selection could be causing weirdness is there? I thought they were still switched off for en.wikipedia though.

As for banners appearing on non-articles, AFAIK we've never done such filtering by namespace so this is expected. Sticking to anons only has been considered enough.

We filter out the Special: namespace, but the others are currently fair game. I'd be interested in any arguments for filtering down to only the article space, though...

Change 175659 had a related patch set uploaded (by Awight):
Disabling CentralNotice client-side banner choice

https://gerrit.wikimedia.org/r/175659

Patch-For-Review

Change 175659 merged by jenkins-bot:
Disabling CentralNotice client-side banner choice

https://gerrit.wikimedia.org/r/175659

I looked at https://meta.wikimedia.org/wiki/Special:CentralNoticeLogs and ... yeah, I don't know why the donation banner was showing to me and others. It seemed to go off a few minutes after I filed this ticket, for what it's worth.

I thought a decision had been made some time ago that the annoyance to Wikimedians was not worth the amount raised and so typically logged-in users would either not be shown donation banners at all or it would only be for a limited period (like a week out of the year). I don't have any links off-hand, but the gist of it was that by logging in (and presumably being an editor), you'd already made your donation to Wikimedia and you needn't be pestered about the price of a programmer's cup of coffee.

We filter out the Special: namespace, but the others are currently fair game. I'd be interested in any arguments for filtering down to only the article space, though...

I think we should filter to content namespaces, at least. (And I think we're only targeting very large wikis at this point, right? Most Wikimedia wikis should have no donation banners ever, as far as I'm aware.)

In the unlikely event that someone is reading a talk page or a project namespace page on a large wiki such as the English Wikipedia, we should leave them alone, in my opinion. Donation banners are currently a necessary evil, of course.

Confirmed that banners were being shown to logged-in users due to a bug in the new system for choosing banners on the client. The new system was switched off by Adam's patch (above), so this shouldn't happen again. Thanks!!! :)

Pcoombe closed this task as Resolved.Nov 25 2014, 2:57 PM
Pcoombe claimed this task.

I looked at https://meta.wikimedia.org/wiki/Special:CentralNoticeLogs and ... yeah, I don't know why the donation banner was showing to me and others. It seemed to go off a few minutes after I filed this ticket, for what it's worth.

I thought a decision had been made some time ago that the annoyance to Wikimedians was not worth the amount raised and so typically logged-in users would either not be shown donation banners at all or it would only be for a limited period (like a week out of the year). I don't have any links off-hand, but the gist of it was that by logging in (and presumably being an editor), you'd already made your donation to Wikimedia and you needn't be pestered about the price of a programmer's cup of coffee.

Yes, that's absolutely the intention. We don't want to show fundraising banners to logged-in users at all. Unfortunately a recent change to the CentralNotice software (more info in this mailing list post) had a bug which meant logged-in users were no longer correctly being distinguished. As Andy says, this has since been switched off and will get fixed before it is redeployed, so I'm closing this as resolved.

We filter out the Special: namespace, but the others are currently fair game. I'd be interested in any arguments for filtering down to only the article space, though...

I think we should filter to content namespaces, at least. (And I think we're only targeting very large wikis at this point, right? Most Wikimedia wikis should have no donation banners ever, as far as I'm aware.)

In the unlikely event that someone is reading a talk page or a project namespace page on a large wiki such as the English Wikipedia, we should leave them alone, in my opinion. Donation banners are currently a necessary evil, of course.

We could hide banners when in other namespaces with CSS, but that would mess up our numbers on how often they are viewed. Fixing it properly would require something more advanced, and we'd probably want to do different things with different types of banner (e.g. invitations to Wikimania are for a different audience than fundraising banners). Then there's all the wikis with their Main Page in a different namespace...

As you say, it doesn't happen all that often. And I don't think there's a compelling reason to go to lots of trouble over it. It's a separate topic anyway, so if you feel strongly about it feel free to open another task where we can discuss further.

Change 175732 had a related patch set uploaded (by AndyRussG):
Filter logged-in status on client

https://gerrit.wikimedia.org/r/175732

Patch-For-Review

Change 175768 had a related patch set uploaded (by Reedy):
Filter logged-in status on client

https://gerrit.wikimedia.org/r/175768

Patch-For-Review

Change 175732 merged by Ejegg:
Filter logged-in status on client

https://gerrit.wikimedia.org/r/175732

Change 175768 merged by Ejegg:
Filter logged-in status on client

https://gerrit.wikimedia.org/r/175768

Hi! We think we fixed the issue with the new banner choosing system, and the system was re-enabled a little before 22:00 UTC today. Thanks in advance for letting us know if you experience this problem again! (BTW, I think there is no fundraising campaign active in the US right now, but you can test it if you're in France or Germany, or by adding ?country=FR to your URL.) :)

A big thank you to @Pcoombe, @AndyRussG, and @awight for the quick and helpful responses here. :-) Much appreciated.

Elitre added a subscriber: Elitre.Nov 26 2014, 4:09 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM